Get all product rules

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productRule

Returns a list of product rules that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of product rules was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
  • ProductRules
    Title: ProductRules
    Discriminator: { "propertyName":"@type", "mapping":{ } }
    The Product Rule resource represents a set of rules and relationships.
Nested Schema : ProductRules
Type: object
Title: ProductRules
Discriminator: @type

Discriminator Values

The Product Rule resource represents a set of rules and relationships.
Show Source
Nested Schema : customProfileSpec
Type: array
A list of custom profile specifications associated with the product rule.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : ruleCondition
Type: array
A list of rule conditions associated with the product rule.
Show Source
Nested Schema : SubjectRef
Type: object
Title: SubjectRef
The subject reference resource.
Show Source
Nested Schema : CustomProfileSpecRefOracle
Type: object
Title: CustomProfileSpecRefOracle
The custom Profile specification reference.
Show Source
Nested Schema : RuleConditionOracle
Type: object
Title: RuleConditionOracle
The rule condition resource.
Show Source
Nested Schema : productRuleExpression
Type: array
A list of product rule expressions associated with the rule condition.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "RuleExpressionOracle":"#/components/schemas/RuleExpressionOracle", "EntityRuleExpressionOracle":"#/components/schemas/EntityRuleExpressionOracle", "EligibilityRuleExpressionOracle":"#/components/schemas/EligibilityRuleExpressionOracle" } }
Nested Schema : productRuleResult
Type: array
A list of product rule results associated with the rule condition.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "RuleResultOracle":"#/components/schemas/RuleResultOracle", "RecommendationRuleResultOracle":"#/components/schemas/RecommendationRuleResultOracle", "MigrationRuleResultOracle":"#/components/schemas/MigrationRuleResultOracle" } }
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all product rules by submitting a get request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/atcProductCatalog/11.13.18.05/v1/productRule \ -H 'Content-Type: application/json'

Example of Response Body

The following shows an example of the response body in JSON format.

[
{
    "id": "RULE-CP-4055990588-17296789139",
    "name": "Sleek Protective Mustang 11 Max CR Rule2",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productRule/RULE-CP-4055990588-17296789139",
    "lifecycleStatus": "In design",
    "ruleType": "COMPATIBILITY",
    "@type": "ProductRuleOracle",
    "created": "2025-02-17T12:01:50.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T12:01:50.098Z",
    "lastUpdatedBy": "booth",
    "version": "1.0",
    "versionState": 0,
    "project": {
        "id": "DBE_RI_Mob_ProdModel_PSP",
        "name": "DBE RI Mobile Product Model",
        "href": "{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_Mob_ProdModel_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "subject": {
        "id": "PO-SLK-M11-MAX-CASE",
        "name": "Sleek Protective Mustang 11 Max Case",
        "href": "{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOffering/PO-SLK-M11-MAX-CASE",
        "@referredType": "ProductOfferingOracle",
        "@type": "SubjectRef",
        "@baseType": "ProductOfferingOracle"
    },
    "ruleCondition": [
        {
            "id": "Condition1",
            "name": "Rule condition1",
            "description": "Rule condition1",
            "stringExpression": "REQUIRES ENTITY(PO-Mustang11Max,ProductOfferingOracle)",
            "validFor": {
                "startDateTime": "2024-09-03T00:00:00.000Z"
            },
            "@type": "RuleConditionOracle",
            "productRuleExpression": [
                {
                    "id": "REQUIRES_OPERANDNODE1",
                    "operator": "REQUIRES",
                    "expressionType": "UNARY",
                    "@type": "RuleExpressionOracle"
                },
                {
                    "id": "OPERANDNODE1",
                    "expressionType": "ENTITY",
                    "value": "PO-Mustang11Max",
                    "@type": "EntityRuleExpressionOracle",
                    "valueType": "PRODUCT_OFFERING",
                    "productRuleExpressionRelationship": {
                        "id": "REQUIRES_OPERANDNODE1",
                        "name": "RHS of (REQUIRES_OPERANDNODE1)",
                        "relationshipType": "RIGHT_HAND_SIDE",
                        "@type": "ProductRuleExprRelationshipOracle"
                    }
                }
            ]
        }
    ],
    "scope": "ALL"
}   
Back to Top